constant
defined
Sonstige Funktionen
PHP Manual

# define

(PHP 4, PHP 5)

define — Definiert eine benannte Konstante

### Beschreibung

bool define ( string `$name` , mixed `$value` [, bool `$case_insensitive` = false ] )

Definiert während der Laufzeit eine benannte Konstante.

### Parameter-Liste

`name`

  Der Name der Konstante

`value`

  Der Wert der Konstante. Es sind nur Skalar- und NULL -Werte erlaubt. Skalarwerte sind Ganzzahlen , Gleitkommazahlen , Zeichenketten oder boolsche Werte. Es ist möglich, Konstanten vom Typ Ressource zu definieren, allerdings wird dies nicht empfohlen, da es unvorhersagbares Verhalten des Programms zur Folge haben kann.

`case_insensitive`

  Falls auf `TRUE` gesetzt, wird bei der Konstante nicht zwischen Groß- und Kleinschreibung unterschieden. In der Voreinstellung wird zwischen Groß- und Kleinschreibung unterschieden, d.h KONSTANTE und Konstante repräsentieren unterschiedliche Werte.

  > Hinweis: Groß-/Kleinschreibungsunabhängige Konstanten werden kleingeschrieben gespeichert.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

### Beispiele

Beispiel #1 Konstanten definieren

`<?php
define("KONSTANTE", "Hallo Welt.");
echo KONSTANTE; // gibt "Hallo Welt." aus
echo Konstante; // gibt "Konstante" aus und erzeugt eine Benachrichtigung
define("BEGRUESSUNG", "Hallo Du.", true);
echo BEGRUESSUNG; // gibt "Hallo Du." aus
echo Begruessung; // gibt "Hallo Du." aus
?>`

### Siehe auch

- defined() - Prüft, ob eine benannte Konstante existiert
- constant() - Liefert den Wert einer Konstante
- Das Kapitel über Konstanten

constant
defined
Sonstige Funktionen
PHP Manual